---
lang: en
title: 'API docs: authorization.enforcer.buildrequest'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/authorization
permalink: /doc/en/lb4/apidocs.authorization.enforcer.buildrequest.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authorization](./authorization.md) &gt; [Enforcer](./authorization.enforcer.md) &gt; [buildRequest](./authorization.enforcer.buildrequest.md)

## Enforcer.buildRequest() method

Extract the request from authorization context

**Signature:**

```typescript
buildRequest(authorizationContext: AuthorizationContext): Promise<AuthorizationRequest>;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

authorizationContext


</td><td>

[AuthorizationContext](./authorization.authorizationcontext.md)


</td><td>


</td></tr>
</tbody></table>

**Returns:**

Promise&lt;[AuthorizationRequest](./authorization.authorizationrequest.md)<!-- -->&gt;


